Đến nội dung


Hình ảnh
- - - - -

Quay text theo góc tùy ý nhé


  • Please log in to reply
3 replies to this topic

#1 tchinh371

tchinh371

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 13 June 2008 - 11:02 PM

Đây, em mới tập tành tìm tòi viết thêm cái líp phục vụ công tác nữa đây. Cái này dùng để quay text theo 1 hướng bất kỳ được tạo bởi 2 điểm (giống như align đối tượng theo 1 đường thằng vậy, mà align không áp dụng đựoc cho text). Hy vọng nó giúp ích cho mọi người!!!!

(defun c:tro(/ chon goc ts dem ten ) ;--------------Text rotate -----------------------
(prompt "\nChon doi tuong can quay: ")
(setq chon (ssget))
(if (= t (null chon)) (prompt "Ban chua chon doi tuong nao. Lenh ket thuc.")
(progn
(if (null goc) (setq goc 0))
(prompt "Nhap goc quay doi tuong [Nhap hai diem de xac dinh goc] ")
(princ "<")(princ (angtos goc)) (princ ">: ")
(setq goc (getangle))
(setq ts (sslength chon))
(setq dem 0)
(while (< dem ts)
(progn
(setq ten (entget (ssname chon dem)))
(setq ten (subst (cons 50 goc) (assoc 50 ten) ten ))
(entmod ten)
(setq dem (+ 1 dem))
)
)
)
)
(princ)
)
  • 5
""AutoCAD đã có công tạo LISP, chúng ta hãy cùng nhau phát triển LISP"

#2 amaziing

amaziing

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 11 January 2009 - 12:53 PM

Thanks!!! Lisp của bạn ứng dụng rất tốt. ^_^
  • 0

#3 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 11 January 2009 - 08:49 PM

Thanks!!! Lisp của bạn ứng dụng rất tốt. ^_^

Lệnh torient trong cad có thể đáp ứng được yêu cầu quay text và nhóm text ( theo toạ độ điểm chèn của text) theo 1 hướng bất kỳ.
  • 0

#4 GA MAP

GA MAP

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 May 2015 - 01:33 PM

Thank chủ thớt nhiều.


  • 0